diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js
index 584105a..cbb6cdf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign_table.js
@@ -334,7 +334,7 @@ define('pgadmin.node.foreign_table', [
           // Fetch Columns from server
           var fnd_columns = columns.where({inheritedid: parseInt(i)});
           if (fnd_columns && fnd_columns.length <= 0) {
-            inhted_columns = self.fetchColumns(i);
+            var inhted_columns = self.fetchColumns(i);
             columns.add(inhted_columns);
           }
         });
@@ -601,7 +601,7 @@ define('pgadmin.node.foreign_table', [
           }
         },{
           id: 'columns', label: gettext('Columns'), cell: 'string',
-          type: 'collection', group: gettext('Columns'), visible: false, mode: ['edit', 'create'],
+          type: 'collection', group: gettext('Columns'), mode: ['edit', 'create'],
           model: ColumnsModel, canAdd: true, canDelete: true, canEdit: true,
           columns: ['attname', 'datatype', 'inheritedfrom'],
           canDeleteRow: function(m) {
@@ -615,7 +615,7 @@ define('pgadmin.node.foreign_table', [
         },
         {
           id: 'constraints', label: gettext('Constraints'), cell: 'string',
-          type: 'collection', group: gettext('Constraints'), visible: false, mode: ['edit', 'create'],
+          type: 'collection', group: gettext('Constraints'), mode: ['edit', 'create'],
           model: ConstraintModel, canAdd: true, canDelete: true, columns: ['conname','consrc', 'connoinherit', 'convalidated'],
           canEdit: function(o) {
             if (o instanceof Backbone.Model) {
@@ -695,7 +695,7 @@ define('pgadmin.node.foreign_table', [
           if (_.indexOf(['schema'], d._type) > -1)
             return true;
 
-          if ('coll-foreign-table' == d._type) {
+          if ('coll-foreign_table' == d._type) {
             //Check if we are not child of catalog
             var prev_i = t.hasParent(i) ? t.parent(i) : null,
               prev_d = prev_i ? t.itemData(prev_i) : null;
diff --git a/web/pgadmin/tools/datagrid/static/js/datagrid.js b/web/pgadmin/tools/datagrid/static/js/datagrid.js
index d488cd5..a8618a7 100644
--- a/web/pgadmin/tools/datagrid/static/js/datagrid.js
+++ b/web/pgadmin/tools/datagrid/static/js/datagrid.js
@@ -28,7 +28,7 @@ define('pgadmin.datagrid', [
         // Define list of nodes on which view data option appears
         var supported_nodes = [
            'table', 'view', 'mview',
-           'foreign-table', 'catalog_object', 'partition'
+           'foreign_table', 'catalog_object', 'partition'
         ],
 
         /* Enable/disable View data menu in tools based
diff --git a/web/pgadmin/tools/sqleditor/command.py b/web/pgadmin/tools/sqleditor/command.py
index 3500d3c..360de52 100644
--- a/web/pgadmin/tools/sqleditor/command.py
+++ b/web/pgadmin/tools/sqleditor/command.py
@@ -660,7 +660,7 @@ class ForeignTableCommand(GridCommand):
 
         It is a derived class for ForeignTable type.
     """
-    object_type = 'foreign-table'
+    object_type = 'foreign_table'
 
     def __init__(self, **kwargs):
         """
